import React from 'react';
import { connect } from 'umi';
import ContactsMobileComponent from '../../../mobile/common/ContactsMobile';

function ContactsMobile({
  dispatch, app, content, sModelsId,
}) {
  function removePane(changePanes, currentPane) {
    dispatch({ type: 'app/removePane', payload: { changePanes, currentPane } });
  }
  const ContactsMobileProps = {
    app,
    content,
    dispatch,
    sModelsId,
    onRemovePane: removePane,
  };

  return (
    <ContactsMobileComponent {...ContactsMobileProps} />
  );
}

export default connect(({ app, content }) =>
  ({ app, content }))(ContactsMobile);
